Get the shots. Add a query parameter for each column to filter on. If you are not an administrator, you must give project_id. With sequence_id, the route uses the project of the sequence. A vendor gets only the entities of their tasks, without the hidden metadata columns.
Query parameters
-
Get only the shots of this sequence
-
Unique identifier of the project
-
Get only the entities of this parent
-
Page to get, answered as an object with data, total, nb_pages, limit, offset and page. Without page nor limit, the route returns the full list.
-
Number of rows in a page, or in a request of a cursor walk
-
Without page, id of the last row of the previous request. With limit, it walks the whole list from the newest created row to the oldest, request after request, until one returns fewer rows than limit
curl -X GET "http://api.example.com/data/shots/all?sequence_id=a24a6ea4-ce75-4665-a070-57453082c25&project_id=a24a6ea4-ce75-4665-a070-57453082c25&parent_id=a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json"
import requests
url = "http://api.example.com/data/shots/all"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json"
}
params = {
"sequence_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"parent_id": "a24a6ea4-ce75-4665-a070-57453082c25"
}
payload = None
response = requests.get(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
[
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SH020",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"parent_id": "c24a6ea4-ce75-4665-a070-57453082c250"
}
]